Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
halide_hexagon_power_t Struct Reference

More detailed power settings to control Hexagon. More...

`#include <HalideRuntimeHexagonHost.h>`

## Public Attributes
bool | set_mips
unsigned int | mipsPerThread
unsigned int | mipsTotal
bool | set_bus_bw
unsigned int | bwMegabytesPerSec
unsigned short | busbwUsagePercentage
bool | set_latency
int | latency

## Detailed Description

More detailed power settings to control Hexagon.

Parameters

  set_mips | - Set to TRUE to request MIPS
  mipsPerThread | - mips requested per thread, to establish a minimal clock frequency per HW thread
  mipsTotal | - Total mips requested, to establish total number of MIPS required across all HW threads
  set_bus_bw | - Set to TRUE to request bus_bw
  bwMeagabytesPerSec | - Max bus BW requested (megabytes per second)
  busbwUsagePercentage | - Percentage of time during which bwBytesPerSec BW is required from the bus (0..100)
  set_latency | - Set to TRUE to set latency
  latency | - maximum hardware wakeup latency in microseconds. The higher the value the deeper state of sleep that can be entered but the longer it may take to awaken. Only values > 0 are supported (1 microsecond is the smallest valid value)

Definition at line 98 of file HalideRuntimeHexagonHost.h.

## Member Data Documentation

## ◆ set_mips

bool halide_hexagon_power_t::set_mips

Definition at line 99 of file HalideRuntimeHexagonHost.h.

## ◆ mipsPerThread

unsigned int halide_hexagon_power_t::mipsPerThread

Definition at line 100 of file HalideRuntimeHexagonHost.h.

## ◆ mipsTotal

unsigned int halide_hexagon_power_t::mipsTotal

Definition at line 101 of file HalideRuntimeHexagonHost.h.

## ◆ set_bus_bw

bool halide_hexagon_power_t::set_bus_bw

Definition at line 102 of file HalideRuntimeHexagonHost.h.

## ◆ bwMegabytesPerSec

unsigned int halide_hexagon_power_t::bwMegabytesPerSec

Definition at line 103 of file HalideRuntimeHexagonHost.h.

## ◆ busbwUsagePercentage

unsigned short halide_hexagon_power_t::busbwUsagePercentage

Definition at line 104 of file HalideRuntimeHexagonHost.h.

## ◆ set_latency

bool halide_hexagon_power_t::set_latency

Definition at line 105 of file HalideRuntimeHexagonHost.h.

## ◆ latency

int halide_hexagon_power_t::latency

Definition at line 106 of file HalideRuntimeHexagonHost.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntimeHexagonHost.h